Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002976TestLinkRequirement Managementpublic2009-11-27 03:412010-05-01 20:34
ReporterJulian 
Assigned ToJulian 
PriorityhighSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.4 
Fixed in Version1.9 Beta 2 
Summary0002976: Requirement / Requirement Specification Search
DescriptionThere has to be a Search for Requirements and Requirement Specifications.
Decision has to be made if there should be a search for both or a search for each.

Search must respect all fields that can be filled + custom fields.

Search should look like testcase search.

Search must be easy to use.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon req_and_reqspec_search.zip [^] (79,321 bytes) 2009-12-11 18:36
bz2 file icon 2976_req_and_reqspec_search_v2.tar.bz2 [^] (58,412 bytes) 2009-12-16 21:08
bz2 file icon 2976_req_and_reqspec_search_v3.tar.bz2 [^] (55,840 bytes) 2010-01-12 22:00

- Relationships
related to 0003000closedfman Type Field for Requirements and Requirement Specifications 

-  Notes
(0008357)
albertdebruijn (reporter)
2009-11-29 21:39

Agree, and would highly appreciate this, when managing 200 requirements ;-)
(0008457)
Julian (reporter)
2009-12-10 16:57

feature is ready and in review process
(0008500)
asimon (developer)
2009-12-16 21:21

New archive with refactored code attached, as requested.
(0008504)
fman (administrator)
2009-12-17 00:41

got code to review
(0008648)
asimon (developer)
2010-01-12 22:02

Reminder sent to: fman

Attached new version, code refactored to reflect all recent changes in requirements/requirement specifications management.
(0008649)
fman (administrator)
2010-01-12 22:26

got code, will review and add during thie week.

- Issue History
Date Modified Username Field Change
2009-11-27 03:41 Julian New Issue
2009-11-27 03:41 Julian Status new => assigned
2009-11-27 03:41 Julian Assigned To => Julian
2009-11-29 21:39 albertdebruijn Note Added: 0008357
2009-12-10 16:57 Julian Note Added: 0008457
2009-12-10 16:57 Julian Assigned To Julian => fman
2009-12-11 18:36 Julian File Added: req_and_reqspec_search.zip
2009-12-16 21:08 asimon File Added: 2976_req_and_reqspec_search_v2.tar.bz2
2009-12-16 21:21 asimon Note Added: 0008500
2009-12-17 00:41 fman Note Added: 0008504
2009-12-22 21:32 mhavlat Relationship added related to 0003000
2010-01-12 22:00 asimon File Added: 2976_req_and_reqspec_search_v3.tar.bz2
2010-01-12 22:02 asimon Note Added: 0008648
2010-01-12 22:26 fman Note Added: 0008649
2010-01-22 06:54 fman Assigned To fman => Julian
2010-01-22 06:55 fman Status assigned => resolved
2010-01-22 06:55 fman Fixed in Version => 1.9 (DEV)
2010-01-22 06:55 fman Resolution open => fixed
2010-05-01 20:34 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker